package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.FamilyBankcardVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.db.FamilyBankcardDO;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 14:56
 * @Description 家族银行卡业务接口
 */
public interface FaFamilyBankcardService {

    /**
     * 创建
     *
     * @param bankcardDO
     * @return
     */
    boolean createFamilyBankcard(FamilyBankcardDO bankcardDO);

    /**
     * 编辑
     *
     * @param bankcardDO
     * @return
     */
    boolean editFamilyBankcard(FamilyBankcardDO bankcardDO);

    /**
     * 禁用
     *
     * @param cardId
     * @return
     */
    boolean disableFamilyBankcard(Long cardId);

    /**
     * 启用
     *
     * @param cardId
     * @return
     */
    boolean enableFamilyBankcard(Long cardId);

    /**
     * 删除
     *
     * @param cardId
     * @return
     */
    boolean deleteFamilyBankcard(Long cardId);

    /**
     * 判断是否存在
     *
     * @param cardId
     * @return
     */
    boolean isFamilyBankcardExist(Long cardId);

    /**
     * 获取详情
     *
     * @param cardId
     * @return
     */
    FamilyBankcardVO getFamilyBankcardDetail(Long cardId);

    /**
     * 获取列表
     *
     * @return
     */
    PageList<FamilyBankcardVO> getFamilyBankcardPageList(Long agentId, String cardNo, Integer cardStatus, Integer cardType, int pageIndex, int pageSize);

    /**
     * 获取卡号类型
     *
     * @param cardId
     * @return
     */
    Integer getCardType(Long cardId);
}
