package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.common.pojo.api.RecordList;
import com.starbuds.server.common.pojo.db.FamilyWalletHisDO;

import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 15:43
 * @Description 家族钱包业务接口
 */
public interface FaFamilyWalletService {
    /**
     * 获取公会余额
     *
     * @param agentId
     * @return
     */
    BigDecimal getBalance(Long agentId);

    /**
     * 获取列表
     *
     * @param familyId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    RecordList<FamilyWalletHisDO, Long> getWalletHis(Long familyId, Long lastId, int pageSize, int isIncome, Long beginTime, Long endTime);

    /**
     * 求和
     *
     * @param familyId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    BigDecimal getSumByTypeAndTime(Long familyId, int isIncome, Long beginTime, Long endTime);
}
