package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.FamilyWalletWithdrawHisVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.db.FamilyWalletWithdrawHisDO;

import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 15:52
 * @Description 家族钱包提现记录业务接口
 */
public interface FaFamilyWalletWithdrawHisService {

    /**
     * 创建提现申请
     *
     * @param walletWithdrawHisDO
     * @param hisRemarks
     * @return
     */
    BigDecimal addWithdrawApply(FamilyWalletWithdrawHisDO walletWithdrawHisDO, String hisRemarks);

    /**
     * 获取家族钱包余额
     *
     * @param agentId
     * @return
     */
    BigDecimal getAmount(Long agentId);

    /**
     * 获取最近一次提现状态
     *
     * @param agentId
     * @return
     */
    Integer getApplyStatus(Long agentId);

    /**
     * 获取家族提现列表
     *
     * @param familyId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageList<FamilyWalletWithdrawHisVO> getFamilyWithdrawHisPageList(Long familyId, Integer applyStatus, Long startTime, Long endTime, int pageIndex, int pageSize);
}
