package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomVO;
import com.starbuds.server.common.pojo.api.PageList;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/22 19:08
 * @Description 语音房
 */
public interface FaRtcRoomService {

    /**
     * 获取列表
     *
     * @param familyId
     * @param pageIndex
     * @param pageSize
     * @param userId
     * @param roomType
     * @param roomName
     * @param categoryId
     * @param roomTitle
     * @param status
     * @return
     */
    PageList<RtcRoomVO> getRtcRoomPageList(Long familyId,
                                           int pageIndex,
                                           int pageSize,
                                           Long userId,
                                           Integer roomType,
                                           String roomName,
                                           Integer categoryId,
                                           String roomTitle,
                                           Integer status,
                                           Integer businessType);

    /**
     * 获取详情
     *
     * @param roomId
     * @return
     */
    RtcRoomVO getRtcRoomDetail(Long roomId);

    /**
     * 是否有权限
     *
     * @param familyId
     * @param roomId
     */
    boolean hasPermission(Long familyId, Long roomId);
}
