package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.FamilyBankcardVO;
import com.starbuds.server.common.pojo.db.FamilyBankcardDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 14:46:28
 * @Description 家族银行卡持久层
 */
@Mapper
@Repository
public interface FamilyBankcardDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(FamilyBankcardDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(FamilyBankcardDO entity);

    /**
     * 判断是否存在
     *
     * @param cardId
     * @return
     */
    int countById(@Param("cardId") Long cardId);

    /**
     * 更新状态
     *
     * @param cardId
     * @param cardStatus
     * @return
     */
    int updateStatus(@Param("cardId") Long cardId, @Param("cardStatus") Integer cardStatus);

    /**
     * 获取详情
     *
     * @param cardId
     * @return
     */
    FamilyBankcardVO getDetail(@Param("cardId") Long cardId);

    /**
     * 获取列表
     *
     * @param familyId
     * @param cardNo
     * @param cardStatus
     * @param cardType
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FamilyBankcardVO> getFamilyBankcardPageList(@Param("familyId") Long familyId,
                                                     @Param("cardNo") String cardNo,
                                                     @Param("cardStatus") Integer cardStatus,
                                                     @Param("cardType") Integer cardType,
                                                     @Param("pageCursor") int pageCursor,
                                                     @Param("pageSize") int pageSize);

    /**
     * 获取列表大小
     *
     * @param familyId
     * @param cardNo
     * @param cardStatus
     * @param cardType
     * @return
     */
    int countFamilyBankcardPageList(@Param("familyId") Long familyId,
                                    @Param("cardNo") String cardNo,
                                    @Param("cardStatus") Integer cardStatus,
                                    @Param("cardType") Integer cardType);

    /**
     * 获取卡号类型
     *
     * @param cardId
     * @return
     */
    Integer selectCardType(@Param("cardId") Long cardId);

    /**
     * 根据id查询
     *
     * @param cardId
     * @return
     */
    FamilyBankcardVO selectById(@Param("cardId") Long cardId);
}
