package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.common.pojo.user.FamilyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 家族持久层
 */
@Mapper
@Repository
public interface FamilyDAO {

    /**
     * 获取家族详情
     *
     * @param familyId
     * @return
     */
    FamilyVO selectFamilyDetail(@Param("familyId") Long familyId);

    /**
     * 判断家族是否存在
     *
     * @param familyId
     * @return
     */
    int countById(@Param("familyId") Long familyId);

    /**
     * 查询用户分成比例
     *
     * @param familyId
     * @return
     */
    Double selectUserRatio(@Param("familyId") Long familyId);

    /**
     * 查询家族分成比例
     *
     * @param familyId
     * @return
     */
    Double selectFamilyRatio(@Param("familyId") Long familyId);

    /**
     * 获取家族名称
     *
     * @param familyId
     * @return
     */
    String selectFamilyName(@Param("familyId") Long familyId);

    /**
     * 获取用户id
     *
     * @param familyId
     * @return
     */
    Long selectPresident(@Param("familyId") Long familyId);
}
