package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.FamilySkillAuditVO;
import com.starbuds.server.common.pojo.db.FamilySkillAuditDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/16 18:20
 * @Description 家族技能审核持久层
 */
@Mapper
@Repository
public interface FamilySkillAuditDAO {

    /**
     * 获取技能认证
     *
     * @param auditId
     * @return
     */
    FamilySkillAuditDO selectById(@Param("auditId") Long auditId);

    /**
     * 获取技能认证列表
     *
     * @param familyId
     * @param userId
     * @param auditStatus
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FamilySkillAuditVO> selectFamilySkillAuditPageList(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("auditStatus") Integer auditStatus, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 获取技能认证列表大小
     *
     * @param familyId
     * @param userId
     * @param auditStatus
     * @return
     */
    int countFamilySkillAuditPageList(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("auditStatus") Integer auditStatus);

    /**
     * 判断是否存在
     *
     * @param auditId
     * @return
     */
    int countById(@Param("auditId") Long auditId);

    /**
     * 更新状态
     *
     * @param auditId
     * @param auditStatus
     * @param auditMsg
     * @param adminId
     * @param auditTime
     * @return
     */
    int updateStatus(@Param("auditId") Long auditId, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg, @Param("adminId") Long adminId, @Param("auditTime") Long auditTime);

    /**
     * 更新状态
     *
     * @param familyId
     * @param userId
     * @param auditStatus
     * @param auditMsg
     * @param adminId
     * @param auditTime
     * @return
     */
    int updateStatusByUserId(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg, @Param("adminId") Long adminId, @Param("auditTime") Long auditTime);

    /**
     * 更新状态
     *
     * @param familyId
     * @param userIds
     * @param auditStatus
     * @param auditMsg
     * @param adminId
     * @param auditTime
     * @return
     */
    int updateStatusByUserIds(@Param("familyId") Long familyId, @Param("userIds") Set<Long> userIds, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg, @Param("adminId") Long adminId, @Param("auditTime") Long auditTime);
}
