package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.common.pojo.db.FamilySkillDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/19 15:52
 * @Description 家族技能持久层
 */
@Mapper
@Repository
public interface FamilySkillDAO {

    /**
     * 插入或更新
     *
     * @param familySkillDO
     * @return
     */
    int insertOrUpdate(FamilySkillDO familySkillDO);

    /**
     * 更新状态
     *
     * @param familyId
     * @param userId
     * @param skillStatus
     * @param updateTime
     * @return
     */
    int updateSkillStatus(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillStatus") Integer skillStatus, @Param("updateTime") Long updateTime);

    /**
     * 更新状态
     *
     * @param familyId
     * @param userIds
     * @param skillStatus
     * @param updateTime
     * @return
     */
    int updateSkillsStatus(@Param("familyId") Long familyId, @Param("userIds") Set<Long> userIds, @Param("skillStatus") Integer skillStatus, @Param("updateTime") Long updateTime);

    /**
     * 判断技能是否认证
     *
     * @param familyId
     * @param userId
     * @param skillId
     * @return
     */
    int countById(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillId") Long skillId);

    /**
     * 更新技能
     *
     * @param familyId
     * @param userId
     * @param skillId
     * @param skillStatus
     * @param updateTime
     * @return
     */
    int updateSkill(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillId") Long skillId, @Param("skillStatus") Integer skillStatus, @Param("updateTime") Long updateTime);
}
