package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.FamilyUserHisVO;
import com.starbuds.server.common.pojo.db.FamilyUserHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 家族签约流水表持久层
 */
@Mapper
@Repository
public interface FamilyUserHisDAO {

    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(FamilyUserHisDO entity);

    /**
     * 获取签约记录
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<FamilyUserHisVO> selectUserHisList(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId);

    /**
     * 获取签约记录列表
     *
     * @param userId
     * @return
     */
    int countUserHisList(@Param("userId") Long userId);

    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<FamilyUserHisDO> list);

}
