package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.common.pojo.db.FamilyWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 家族钱包持久层
 */
@Mapper
@Repository
public interface FamilyWalletDAO {

    /**
     * 获取家族余额
     *
     * @param familyId
     * @return
     */
    BigDecimal selectBalance(@Param("familyId") Long familyId);

    /**
     * 更新余额
     *
     * @param walletUpdate
     * @return
     */
    int updateBalanceCas(FamilyWalletDO walletUpdate);

    /**
     * 根据id查询
     *
     * @param familyId
     * @return
     */
    FamilyWalletDO selectById(@Param("familyId") Long familyId);

    /**
     * 新增
     *
     * @param familyWalletDO
     * @return
     */
    int insert(FamilyWalletDO familyWalletDO);


}
