package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.common.pojo.db.FamilyWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 家族钱包变更记录持久层
 */
@Mapper
@Repository
public interface FamilyWalletHisDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(FamilyWalletHisDO entity);

    /**
     * 获取列表
     *
     * @param familyId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    List<FamilyWalletHisDO> selectAll(@Param("familyId") Long familyId, @Param("lastId") Long lastId, @Param("pageSize") int pageSize, @Param("isIncome") int isIncome, @Param("beginTime") Long beginTime, @Param("endTime") Long endTime);

    /**
     * 求和
     *
     * @param familyId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    BigDecimal sumByTypeAndTime(@Param("familyId") Long familyId, @Param("isIncome") int isIncome, @Param("beginTime") Long beginTime, @Param("endTime") Long endTime);

}
