package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.FamilyWalletWithdrawHisVO;
import com.starbuds.server.common.pojo.db.FamilyWalletWithdrawHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 家族钱包提现记录持久层
 */
@Mapper
@Repository
public interface FamilyWalletWithdrawHisDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(FamilyWalletWithdrawHisDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(FamilyWalletWithdrawHisDO entity);

    /**
     * 获取最近一次提现状态
     *
     * @param familyId
     * @return
     */
    Integer selectLastApplyStatus(@Param("familyId") Long familyId);

    /**
     * 获取列表
     *
     * @param familyId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FamilyWalletWithdrawHisVO> getFamilyWithdrawHisPageList(@Param("familyId") Long familyId,
                                                                 @Param("applyStatus") Integer applyStatus,
                                                                 @Param("startTime") Long startTime,
                                                                 @Param("endTime") Long endTime,
                                                                 @Param("pageCursor") int pageCursor,
                                                                 @Param("pageSize") int pageSize);

    /**
     * 获取列表大小
     *
     * @param familyId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @return
     */
    int countFamilyWithdrawHisPageList(@Param("familyId") Long familyId,
                                       @Param("applyStatus") Integer applyStatus,
                                       @Param("startTime") Long startTime,
                                       @Param("endTime") Long endTime);
}
