package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomCategoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-24 16:21:52
 * @Description 直播分类持久层
 */
@Mapper
@Repository
public interface RtcRoomCategoryDAO {

    /**
     * 获取直播分类列表
     *
     * @param categoryName
     * @param categoryStatus
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<RtcRoomCategoryVO> getCategoryPageList(@Param("categoryName") String categoryName,
                                                @Param("categoryStatus") Integer categoryStatus,
                                                @Param("businessType") Integer businessType,
                                                @Param("pageCursor") int pageCursor,
                                                @Param("pageSize") int pageSize);


    /**
     * 获取直播分类列表大小
     *
     * @param categoryName
     * @param categoryStatus
     * @return
     */
    int countCategoryPageList(@Param("categoryName") String categoryName,
                              @Param("categoryStatus") Integer categoryStatus,
                              @Param("businessType") Integer businessType);

    /**
     * 查询分类名称
     *
     * @param categoryId
     * @return
     */
    String selectCategoryName(@Param("categoryId") Long categoryId);
}
