package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/9 17:52
 * @Description 语聊房间持久层
 */
@Mapper
@Repository
public interface RtcRoomDAO {

    /**
     * 获取列表
     *
     * @param familyId
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @param roomType
     * @param roomName
     * @param categoryId
     * @param roomTitle
     * @param status
     * @return
     */
    List<RtcRoomVO> selectRtcRoomPageList(@Param("familyId") Long familyId,
                                          @Param("pageCursor") int pageCursor,
                                          @Param("pageSize") int pageSize,
                                          @Param("userId") Long userId,
                                          @Param("roomType") Integer roomType,
                                          @Param("roomName") String roomName,
                                          @Param("categoryId") Integer categoryId,
                                          @Param("roomTitle") String roomTitle,
                                          @Param("status") Integer status,
                                          @Param("businessType") Integer businessType);

    /**
     * 获取列表大小
     *
     * @param familyId
     * @param userId
     * @param roomType
     * @param roomName
     * @param categoryId
     * @param roomTitle
     * @param status
     * @return
     */
    int countRtcRoomPageList(@Param("familyId") Long familyId,
                             @Param("userId") Long userId,
                             @Param("roomType") Integer roomType,
                             @Param("roomName") String roomName,
                             @Param("categoryId") Integer categoryId,
                             @Param("roomTitle") String roomTitle,
                             @Param("status") Integer status,
                             @Param("businessType") Integer businessType);

    /**
     * 获取详情
     *
     * @param roomId
     * @return
     */
    RtcRoomVO selectRtcRoomDetail(@Param("roomId") Long roomId);

    /**
     * 获取家族id
     *
     * @param roomId
     * @return
     */
    Long selectFamilyId(@Param("roomId") Long roomId);
}
