package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.common.pojo.finance.SkillOrderVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/3 18:28
 * @Description 技能订单
 */
@Mapper
@Repository
public interface SkillOrderDAO {

    /**
     * 获取技能订单列表
     *
     * @param pageCursor
     * @param pageSize
     * @param payStatus
     * @param orderStatus
     * @return
     */
    List<SkillOrderVO> selectSkillOrderPageList(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("familyId") Long familyId, @Param("payStatus") Integer payStatus, @Param("orderStatus") Integer orderStatus);

    /**
     * 获取技能订单列表大小
     *
     * @param familyId
     * @param payStatus
     * @param orderStatus
     * @return
     */
    int countSkillOrderPageList(@Param("familyId") Long familyId, @Param("payStatus") Integer payStatus, @Param("orderStatus") Integer orderStatus);
}
