package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.StatRtcRoomVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-02-22 17:14:15
 * @Description 房间统计表持久层
 */
@Mapper
@Repository
public interface StatRtcRoomDAO {

    /**
     * 获取语音房统计列表
     *
     * @param pageCursor
     * @param pageSize
     * @param roomId
     * @param statType
     * @return
     */
    List<StatRtcRoomVO> selectPageList(@Param("pageCursor") int pageCursor,
                                       @Param("pageSize") int pageSize,
                                       @Param("roomId") Long roomId,
                                       @Param("statTimeType") Integer statTimeType,
                                       @Param("statType") Integer statType);

    /**
     * 获取语音房统计列表大小
     *
     * @param roomId
     * @param statTimeType
     * @param statType
     * @return
     */
    int countPageList(@Param("roomId") Long roomId,
                      @Param("statTimeType") Integer statTimeType,
                      @Param("statType") Integer statType);
}
