package com.starbuds.server.api.family.service.admin.impl;

import com.starbuds.server.api.family.common.service.admin.FaFamilyWalletService;
import com.starbuds.server.api.family.service.admin.dao.FamilyWalletDAO;
import com.starbuds.server.api.family.service.admin.dao.FamilyWalletHisDAO;
import com.starbuds.server.common.pojo.api.RecordList;
import com.starbuds.server.common.pojo.db.FamilyWalletHisDO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;
import java.util.Optional;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 15:44
 * @Description 公会钱包业务实现
 */
@Service
public class FaFamilyWalletServiceImpl implements FaFamilyWalletService {

    @Resource
    FamilyWalletDAO familyWalletDAO;

    @Resource
    FamilyWalletHisDAO familyWalletHisDAO;

    @Override
    public BigDecimal getBalance(Long agentId) {
        return Optional.ofNullable(familyWalletDAO.selectBalance(agentId)).orElse(BigDecimal.ZERO);
    }

    /**
     * 获取列表
     *
     * @param familyId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    @Override
    public RecordList<FamilyWalletHisDO, Long> getWalletHis(Long familyId, Long lastId, int pageSize, int isIncome, Long beginTime, Long endTime) {
        RecordList<FamilyWalletHisDO, Long> recordList = new RecordList<>(pageSize);
        List<FamilyWalletHisDO> list = familyWalletHisDAO.selectAll(familyId, lastId, pageSize, isIncome, beginTime, endTime);
        recordList.setList(list);
        recordList.setPageSize(pageSize);
        recordList.setLastId(list.size() == 0 ? null : list.get(list.size() - 1).getHisId());
        return recordList;
    }

    /**
     * 求和
     *
     * @param familyId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    @Override
    public BigDecimal getSumByTypeAndTime(Long familyId, int isIncome, Long beginTime, Long endTime) {
        return familyWalletHisDAO.sumByTypeAndTime(familyId, isIncome, beginTime, endTime);
    }
}
