package com.starbuds.server.api.family.service.admin.impl;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomCategoryVO;
import com.starbuds.server.api.family.common.service.admin.FaRtcRoomCategoryService;
import com.starbuds.server.api.family.service.admin.dao.RtcRoomCategoryDAO;
import com.starbuds.server.common.pojo.api.PageList;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/23 10:01
 * @Description 语音房分类
 */
@Service
public class FaRtcRoomCategoryServiceImpl implements FaRtcRoomCategoryService {

    @Resource
    RtcRoomCategoryDAO rtcRoomCategoryDAO;

    /**
     * 获取分类列表
     *
     * @param categoryName
     * @param categoryStatus
     * @param pageNum
     * @param pageSize
     * @return
     */
    @Override
    public PageList<RtcRoomCategoryVO> getCategoryPageList(String categoryName, Integer categoryStatus, Integer businessType, int pageNum, int pageSize) {
        PageList<RtcRoomCategoryVO> page = new PageList<>(pageNum, pageSize);
        page.setList(rtcRoomCategoryDAO.getCategoryPageList(categoryName, categoryStatus, businessType, page.getPageCursor(), pageSize));
        page.setTotal(rtcRoomCategoryDAO.countCategoryPageList(categoryName, categoryStatus, businessType));
        return page;
    }
}
