package com.starbuds.server.api.family.service.admin.impl;

import com.starbuds.server.api.family.common.pojo.admin.VoiceChatHisPageItem;
import com.starbuds.server.api.family.common.service.admin.FaVoiceChatService;
import com.starbuds.server.api.family.service.admin.dao.VoiceChatHisDAO;
import com.starbuds.server.common.pojo.api.PageList;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/12/14 16:07
 * @Description 语音速配
 */
@Service
public class FaVoiceChatServiceImpl implements FaVoiceChatService {

    @Resource
    VoiceChatHisDAO voiceChatHisDAO;

    /**
     * 获取语音速配聊天页面
     *
     * @param familyId
     * @param pageIndex
     * @param pageSize
     * @param hisStatus
     * @return
     */
    @Override
    public PageList<VoiceChatHisPageItem> getVoiceChatPageList(Long familyId, int pageIndex, int pageSize, Integer hisStatus) {
        PageList<VoiceChatHisPageItem> page = new PageList<>(pageIndex, pageSize);
        page.setList(voiceChatHisDAO.selectVoiceChatPageList(familyId, page.getPageCursor(), pageSize, hisStatus));
        page.setTotal(voiceChatHisDAO.countVoiceChatPageList(familyId, hisStatus));
        return page;
    }
}
