package com.starbuds.server.api.family.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/22 18:51
 * @Description 语音接口
 */
public interface RtcFacade {

    /**
     * 创建房间
     *
     * @param roomType
     * @param categoryId
     * @param roomName
     * @param roomCover
     * @return
     */
    Result createRoom(Integer roomType, Long categoryId, String roomName, String roomCover);

    /**
     * 编辑房间
     *
     * @param roomId
     * @param roomCover
     * @param roomHorizontalCover
     * @param roomName
     * @param roomWelcome
     * @param roomRule
     * @param categoryId
     * @return
     */
    Result editRoom(Long roomId, String roomCover, String roomHorizontalCover, String roomName, String roomWelcome, String roomRule, Long categoryId);

    /**
     * 获取语聊列表
     *
     * @param pageIndex
     * @param pageSize
     * @param userId
     * @param roomType
     * @param roomName
     * @param categoryId
     * @param roomTitle
     * @param status
     * @return
     */
    Result getRtcRoomPageList(int pageIndex,
                              int pageSize,
                              Long userId,
                              Integer roomType,
                              String roomName,
                              Integer categoryId,
                              String roomTitle,
                              Integer status,
                              Integer businessType);

    /**
     * 获取语聊详情
     *
     * @param roomId
     * @return
     */
    Result getRtcRoomDetail(Long roomId);

    /**
     * 获取房间日流水
     *
     * @param roomId
     * @param startTime
     * @param endTime
     * @return
     */
    Result getRtcRoomDayStream(Long roomId, Long startTime, Long endTime);

    /**
     * 获取房间周流水
     *
     * @param roomId
     * @return
     */
    Result getRtcRoomWeekStream(Long roomId);

    /**
     * 获取房间月流水
     *
     * @param roomId
     * @return
     */
    Result getRtcRoomMonthStream(Long roomId);

    /**
     * 获取房间流水
     *
     * @param startTime
     * @param endTime
     * @return
     */
    Result getRtcRoomStream(Long startTime, Long endTime, Integer liveType);

}
