package com.starbuds.server.api.family.v1.impl;

import com.starbuds.server.api.family.common.service.admin.FaVoiceChatService;
import com.starbuds.server.api.family.v1.facade.ChatFacade;
import com.starbuds.server.common.pojo.api.Result;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

/**
 * 聊天接口
 *
 * @author jiangxiaowei
 * @date 2020/12/14 15:51
 */
@Path("/v1/chat")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class ChatFacadeImpl extends BaseFacade implements ChatFacade {

    @Resource
    FaVoiceChatService faVoiceChatService;

    /**
     * 获取语音速配列表
     *
     * @param pageIndex
     * @param pageSize
     * @param hisStatus
     * @return
     */
    @GET
    @Path("getVoiceChatPageList")
    @Override
    public Result getVoiceChatPageList(@QueryParam("pageIndex") int pageIndex, @QueryParam("pageSize") int pageSize, @QueryParam("hisStatus") Integer hisStatus) {
        return new Result(faVoiceChatService.getVoiceChatPageList(this.getToken().getFamilyId(), pageIndex, pageSize, hisStatus));
    }
}
