package com.starbuds.server.api.family.v1.impl;

import com.starbuds.server.api.family.common.service.admin.FaRtcRoomCategoryService;
import com.starbuds.server.api.family.v1.facade.DataFacade;
import com.starbuds.server.common.pojo.api.Result;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

/**
 * 数据接口实现
 *
 * @author Lay
 * @date 2019/12/31
 */
@Path("/v1/data")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class DataFacadeImpl extends BaseFacade implements DataFacade {

    @Resource
    FaRtcRoomCategoryService faRtcRoomCategoryService;

    /**
     * 获取直播分类列表
     *
     * @param categoryName
     * @param categoryStatus
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GET
    @Path("getRtcCategoryPageList")
    @Override
    public Result getRtcCategoryPageList(@QueryParam("categoryName") String categoryName,
                                         @QueryParam("categoryStatus") Integer categoryStatus,
                                         @QueryParam("businessType") Integer businessType,
                                         @QueryParam("pageNum") int pageNum,
                                         @QueryParam("pageSize") int pageSize) {
        if (businessType == null) {
            businessType = 0;
        }
        return new Result(faRtcRoomCategoryService.getCategoryPageList(categoryName, categoryStatus, businessType, pageNum, pageSize));
    }

}
