package com.starbuds.server.api.family.v1.impl;

import com.starbuds.server.api.family.common.service.admin.FaFamilyService;
import com.starbuds.server.api.family.v1.facade.UserFacade;
import com.starbuds.server.common.pojo.api.Result;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

/**
 * 用户接口
 *
 * @author jiangxiaowei
 * @date 2020/12/16 13:59
 */
@Path("/v1/user")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class UserFacadeImpl extends BaseFacade implements UserFacade {

    @Resource
    FaFamilyService faFamilyService;

    /**
     * 获取家族用户详情
     *
     * @param userId
     * @return
     */
    @GET
    @Path("getFamilyUserDetail")
    @Override
    public Result getFamilyUserDetail(@QueryParam("userId") Long userId) {
        return new Result(faFamilyService.getFamilyUserDetail(userId));
    }
}
